Skip to main content
GET
/
api
/
v3
/
admin
/
api_keys
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const key = await client.apiKeys.get('key_xxx')
{
  "id": "key_UkLWZg9DAJ",
  "name": "Storefront key",
  "key_type": "publishable",
  "token_prefix": null,
  "scopes": [],
  "created_at": "2026-05-17T22:57:23.047Z",
  "updated_at": "2026-05-17T22:57:23.047Z",
  "revoked_at": null,
  "last_used_at": null,
  "plaintext_token": "pk_ZsR9RTxoWgMQbCRWVbza9nAi",
  "created_by_email": null
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Response

200 - application/json

API key found